### Method

# GUPnP DeviceInfo get_description_value

since: 0.14.0

#### Declaration [src]

    char*
    gupnp_device_info_get_description_value (
      GUPnPDeviceInfo* info,
      const char* element
    )

#### Description [src]

This function provides generic access to the contents of arbitrary elements in the device description file.

Available since: 0.14.0

#### Parameters

`element`

  Type: `const char*`

  Name of the description element to retrieve.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `char*`

A newly allocated string containing the requested value or `NULL` if the device description doesn’t contain the given `element`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.